### Please describe the problem.
glacier copy shows the output of the glacier-cli help and a gpg error for each file and most of the files fail to copy.

### What steps will reproduce the problem?
1. git annex init "Photos"
2. cp -R ../photodir/ .
3. git annex add .
4. git commit -a -m added
5. export AWS_ACCESS_KEY_ID="***"
6. export AWS_SECRET_ACCESS_KEY="***"
7. git annex initremote glacier type=glacier encryption=shared vault=photos
8. git annex copy --auto --to glacier

### What version of git-annex are you using? On what operating system?
5.20150113-gcf247cf
Arch Linux (git-annex-bin package)

### Please provide any additional information below.
I get the following messages over and over again:
[[!format sh """
# If you can, paste a complete transcript of the problem occurring here.
# If the problem is with the git-annex assistant, paste in .git/annex/daemon.log
copy 2003/10/14/085.jpg (checking glacier...) (to glacier...) 
8%            0.0 B/s 0s
glacier <command> [args]

    Commands
        vaults    - Operations with vaults
        jobs      - Operations with jobs
        upload    - Upload files to a vault. If the vault doesn't exits, it is
                    created

    Common args:
        --access_key - Your AWS Access Key ID.  If not supplied, boto will
                       use the value of the environment variable
                       AWS_ACCESS_KEY_ID
        --secret_key - Your AWS Secret Access Key.  If not supplied, boto
                       will use the value of the environment variable
                       AWS_SECRET_ACCESS_KEY
        --region     - AWS region to use. Possible values: us-east-1, us-west-1,
                       us-west-2, ap-northeast-1, eu-west-1.
                       Default: us-east-1

    Vaults operations:

        List vaults:
            glacier vaults 

    Jobs operations:

        List jobs:
            glacier jobs <vault name>

    Uploading files:

        glacier upload <vault name> <files>

        Examples : 
            glacier upload pics *.jpg
            glacier upload pics a.jpg b.jpg

gpg: [stdout]: write error: Broken pipe
gpg: DBG: deflate: iobuf_write failed
gpg: build_packet failed: Broken pipe
gpg: [stdout]: write error: Broken pipe
gpg: iobuf_flush failed on close: Broken pipe
gpg: [stdout]: write error: Broken pipe
gpg: iobuf_flush failed on close: Broken pipe
gpg: symmetric encryption of '[stdin]' failed: Broken pipe

  user error (gpg ["--batch","--no-tty","--use-agent","--quiet","--trust-model","always","--batch","--passphrase-fd","227","--symmetric","--force-mdc","--no-textmode"] exited 2)
failed
git-annex: fd:230: hPutBuf: resource vanished (Broken pipe)

# lots more lines like this

ok                      
(Recording state in git...)
git-annex: copy: 230 failed

# End of transcript or log.
"""]]

> git-annex will now detect this misconfiguration and refuse to use it, so
> [[done]] --[[Joey]]
